> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Intent To Assistant

> add an intent to an assistant



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json post /api/v1/assistant/{assistant_id}/intent/{intent_id}
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/assistant/{assistant_id}/intent/{intent_id}:
    post:
      tags:
        - Assistant
      summary: Add Intent To Assistant
      description: add an intent to an assistant
      operationId: >-
        add_intent_to_assistant_api_v1_assistant__assistant_id__intent__intent_id__post
      parameters:
        - name: intent_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Intent Id
        - name: assistant_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: The UUID id of the assistant
            title: Assistant Id
          description: The UUID id of the assistant
      requestBody:
        content:
          application/json:
            schema:
              additionalProperties: true
              type: object
              title: Attributes
              default: {}
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/IPostResponseBase_ILinkAssistantIntentRead_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    IPostResponseBase_ILinkAssistantIntentRead_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: Data created successfully
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - {}
            - type: 'null'
          title: Meta
          default: {}
        data:
          anyOf:
            - $ref: '#/components/schemas/ILinkAssistantIntentRead'
            - type: 'null'
      type: object
      title: IPostResponseBase[ILinkAssistantIntentRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ILinkAssistantIntentRead:
      properties:
        assistant_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Assistant Id
        intent_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Intent Id
        is_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Active
          default: true
        attributes:
          additionalProperties: true
          type: object
          title: Attributes
          default: {}
        id:
          type: string
          format: uuid
          title: Id
      type: object
      required:
        - id
      title: ILinkAssistantIntentRead
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````